Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGBridgeExtension

    java.lang.Object
      org.apache.batik.bridge.SVGBridgeExtension

All Implemented Interfaces:
  BridgeExtension

public class SVGBridgeExtension
extends java.lang.Object
implements BridgeExtension

This is a Service interface for classes that want to extend the functionality of the Bridge, to support new tags in the rendering tree.

Constructor Summary
`SVGBridgeExtension()`

Method Summary
`java.lang.String` | `getAuthor()` This should return the individual or company name responsible for the this implementation of the extension.
`java.lang.String` | `getContactAddress()` This should contain a contact address (usually an e-mail address).
`java.lang.String` | `getDescription()` Human readable description of the extension.
`java.util.Iterator` | `getImplementedExtensions()` This should return the list of extensions implemented by this BridgeExtension.
`float` | `getPriority()` Return the priority of this Extension.
`java.lang.String` | `getURL()` This should return a URL where information can be obtained on this extension.
`void` | `registerTags(BridgeContext ctx)` This method should update the BridgeContext with support for the tags in this extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGBridgeExtension

    public SVGBridgeExtension()

Method Detail

### getPriority

    public float getPriority()

  Return the priority of this Extension. Extensions are registered from lowest to highest priority. So if for some reason you need to come before/after another existing extension make sure your priority is lower/higher than theirs.

  Specified by:
    `getPriority` in interface `BridgeExtension`

### getImplementedExtensions

    public java.util.Iterator getImplementedExtensions()

  This should return the list of extensions implemented by this BridgeExtension.

  Specified by:
    `getImplementedExtensions` in interface `BridgeExtension`
  Returns:
    An iterator containing strings one for each implemented extension.

### getAuthor

    public java.lang.String getAuthor()

  This should return the individual or company name responsible for the this implementation of the extension.

  Specified by:
    `getAuthor` in interface `BridgeExtension`

### getContactAddress

    public java.lang.String getContactAddress()

  This should contain a contact address (usually an e-mail address).

  Specified by:
    `getContactAddress` in interface `BridgeExtension`

### getURL

    public java.lang.String getURL()

  This should return a URL where information can be obtained on this extension.

  Specified by:
    `getURL` in interface `BridgeExtension`

### getDescription

    public java.lang.String getDescription()

  Human readable description of the extension. Perhaps that should be a resource for internationalization? (although I suppose it could be done internally)

  Specified by:
    `getDescription` in interface `BridgeExtension`

### registerTags

    public void registerTags(BridgeContext ctx)

  This method should update the BridgeContext with support for the tags in this extension. In some rare cases it may be necessary to replace existing tag handlers, although this is discouraged.

  Specified by:
    `registerTags` in interface `BridgeExtension`
  Parameters:
    `ctx` - The BridgeContext instance to be updated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.